# 1.0.0[−][src]Trait std::os::windows::io::AsRawSocket

    pub trait AsRawSocket {
        pub fn as_raw_socket(&self) -> RawSocket;
    }

This is supported on Windows only.

Extracts raw sockets.

## Required methods

### `pub fn as_raw_socket(&self) -> RawSocket`[src]

Extracts the underlying raw socket from this object.

Loading content...

## Implementors

### `impl AsRawSocket for TcpListener`[src]

#### `pub fn as_raw_socket(&self) -> RawSocket`[src]

### `impl AsRawSocket for TcpStream`[src]

#### `pub fn as_raw_socket(&self) -> RawSocket`[src]

### `impl AsRawSocket for UdpSocket`[src]

#### `pub fn as_raw_socket(&self) -> RawSocket`[src]

Loading content...